> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/audit#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/audit#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/audit#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/audit#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/audit#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/audit#body.AuditAdvertiserResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/audit#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/audit#try-it)

Audits an advertiser. Returns the counts of used entities per resource type under the advertiser provided. Used entities count towards their respective resource limit. See <https://support.google.com/displayvideo/answer/6071450>.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}:audit`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser to audit. |

### Query parameters

| Parameters ||
|---|---|
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The specific fields to return. If no mask is specified, all fields in the response proto will be filled. Valid values are: - usedLineItemsCount - usedInsertionOrdersCount - usedCampaignsCount - channelsCount - negativelyTargetedChannelsCount - negativeKeywordListsCount - adGroupCriteriaCount - campaignCriteriaCount This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

Response message for AdvertiserService.AuditAdvertiser.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "usedLineItemsCount": string, "usedInsertionOrdersCount": string, "usedCampaignsCount": string, "channelsCount": string, "negativelyTargetedChannelsCount": string, "negativeKeywordListsCount": string, "adGroupCriteriaCount": string, "campaignCriteriaCount": string } ``` |

| Fields ||
|---|---|
| `usedLineItemsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of ACTIVE, PAUSED, and DRAFT line items under this advertiser. These line items count towards the limit of 9999 line items per advertiser. |
| `usedInsertionOrdersCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of ACTIVE, PAUSED and DRAFT insertion orders under this advertiser. These insertion orders count towards the limit of 9999 insertion orders per advertiser. |
| `usedCampaignsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of ACTIVE and PAUSED campaigns under this advertiser. These campaigns count towards the limit of 9999 campaigns per advertiser. |
| `channelsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of channels created under this advertiser. These channels count towards the limit of 1000 channels per advertiser. |
| `negativelyTargetedChannelsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of negatively targeted channels created under this advertiser. These negatively targeted channels count towards the limit of 5 negatively targeted channels per advertiser. |
| `negativeKeywordListsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of negative keyword lists created under this advertiser. These negative keyword lists count towards the limit of 20 negative keyword lists per advertiser. |
| `adGroupCriteriaCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of individual targeting options from the following targeting types that are assigned to a line item under this advertiser. These individual targeting options count towards the limit of 4500000 ad group targeting options per advertiser. Qualifying Targeting types: - Channels, URLs, apps, and collections - Demographic - Google Audiences, including Affinity, Custom Affinity, and In-market audiences - Inventory source - Keyword - Mobile app category - User lists - Video targeting - Viewability |
| `campaignCriteriaCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of individual targeting options from the following targeting types that are assigned to a line item under this advertiser. These individual targeting options count towards the limit of 900000 campaign targeting options per advertiser. Qualifying Targeting types: - Position - Browser - Connection speed - Day and time - Device and operating system - Digital content label - Sensitive categories - Environment - Geography, including business chains and proximity - ISP - Language - Third-party verification |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).